Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans.impl.util
Class FilerImpl

    java.lang.Object
      org.apache.xmlbeans.impl.util.FilerImpl

All Implemented Interfaces:
  Filer

    public class FilerImpl

extends java.lang.Object
implements Filer

This implementation of Filer writes to disk.

Constructor Summary
`FilerImpl(java.io.File classdir, java.io.File srcdir, Repackager repackager, boolean verbose, boolean incrSrcGen)`

Method Summary
`java.io.OutputStream` | `createBinaryFile(java.lang.String typename)` Creates a new schema binary file (.xsb) and returns a stream for writing to it.
`java.io.Writer` | `createSourceFile(java.lang.String typename)` Creates a new binding source file (.java) and returns a writer for it.
`Repackager` | `getRepackager()`
`java.util.List` | `getSourceFiles()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilerImpl

    public FilerImpl(java.io.File classdir,
                     java.io.File srcdir,
                     Repackager repackager,
                     boolean verbose,
                     boolean incrSrcGen)

Method Detail

### createBinaryFile

    public java.io.OutputStream createBinaryFile(java.lang.String typename)
                                          throws java.io.IOException

  Creates a new schema binary file (.xsb) and returns a stream for writing to it.

  Specified by:
    `createBinaryFile` in interface `Filer`
  Parameters:
    `typename` - fully qualified type name
  Returns:
    a stream to write the type to
  Throws:
    `java.io.IOException`

### createSourceFile

    public java.io.Writer createSourceFile(java.lang.String typename)
                                    throws java.io.IOException

  Creates a new binding source file (.java) and returns a writer for it.

  Specified by:
    `createSourceFile` in interface `Filer`
  Parameters:
    `typename` - fully qualified type name
  Returns:
    a stream to write the type to
  Throws:
    `java.io.IOException`

### getSourceFiles

    public java.util.List getSourceFiles()

### getRepackager

    public Repackager getRepackager()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD